Name: ocaml-extlib
Version: 1.5.1
Release: alt2

Summary: extended standard library for OCaml
License: LGPL v2, with exceptions
Group: Development/ML
URL: http://code.google.com/p/ocaml-extlib/
Packager: Alexander Myltsev <avm@altlinux.ru>

Source: %name-%version.tar

Requires: ocaml-runtime
BuildRequires: findlib rpm-build-ocaml ocamldoc

%description
ExtLib is a project aiming at providing a complete - yet small - standard
library for the OCaml programming language.

The purpose of this library is to add new functions to OCaml Standard Library
modules, to modify some functions in order to get better performances or more
safety (tail-recursive) but also to provide new modules which should be useful
for the average OCaml programmer.

ExtLib contains modules implementing: enumeration over abstract collection of
elements, efficient bit sets, dynamic arrays, references on lists, Unicode
characters and UTF-8 encoded strings, additional and improved functions for
hashtables, strings, lists and option types. 

%prep
%setup

%install
%define extlibdir %_libdir/ocaml/site-lib/extlib

mkdir -p %buildroot%extlibdir
ocaml install.ml -d %buildroot%extlibdir -n -b -doc
cp META.txt %buildroot%extlibdir/META

mkdir -p %buildroot%_defaultdocdir
mv %buildroot%extlibdir/extlib-doc %buildroot%_defaultdocdir/%name-%version

%files
%extlibdir
%doc %_defaultdocdir/%name-%version

%changelog
* Wed Jul 02 2008 Alexander Myltsev <avm@altlinux.ru> 1.5.1-alt2
- Fix build error (buildrequire ocamldoc).

* Mon Jan 21 2008 Alex V. Myltsev <avm@altlinux.ru> 1.5.1-alt1
- New version.
- Use rpm-build-ocaml.

* Mon Jul 09 2007 Alex V. Myltsev <avm@altlinux.ru> 1.5-alt1
- Initial build for Sisyphus.

